Package org.eclipse.microprofile.fault.tolerance.tck.metrics.util

# Class RegistryTypeLiteral

java.lang.Object
jakarta.enterprise.util.AnnotationLiteral<org.eclipse.microprofile.metrics.annotation.RegistryType>
org.eclipse.microprofile.fault.tolerance.tck.metrics.util.RegistryTypeLiteral

All Implemented Interfaces:
  `Annotation`

public class RegistryTypeLiteral extends jakarta.enterprise.util.AnnotationLiteral<org.eclipse.microprofile.metrics.annotation.RegistryType> implements org.eclipse.microprofile.metrics.annotation.RegistryType
Literal for `RegistryType`

Constants are provided for the base and vendor registries.

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final RegistryTypeLiteral`
`BASE`
`static final RegistryTypeLiteral`
`VENDOR`

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.microprofile.metrics.MetricRegistry.Type`
`type()`

### Methods inherited from class jakarta.enterprise.util.AnnotationLiteral

`annotationType, equals, hashCode, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### BASE

public static final RegistryTypeLiteral BASE

### VENDOR

public static final RegistryTypeLiteral VENDOR

## Method Details

### type

public org.eclipse.microprofile.metrics.MetricRegistry.Type type()